Bug 218377 - g++ compile runs forever on test file with optimization and debug info
g++ compile runs forever on test file with optimization and debug info
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 17:03 EST by Robert Hancock
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0220
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:09:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case to reproduce compiler hang (238.31 KB, application/x-gzip)
2006-12-04 17:03 EST, Robert Hancock
no flags Details

  None (edit)
Description Robert Hancock 2006-12-04 17:03:24 EST
Description of problem:

On compiling several files from the TAO open-source CORBA software (such as
TAO/tao/ObjectKey_Table.cpp), the compiler runs forever when compiling with both
optimization and debug info enabled. With either optimization or debug info
disabled the compile completes normally.

Version-Release number of selected component (if applicable):

gcc-3.4.6-3

How reproducible:

Every time

Steps to Reproduce:

1. Compile attached preprocessed test case with:

g++ -O3 -g -c -o ObjectKey_Table.o ObjectKey_Table.cpp

2. Also try with just -O3 and just -g
  
Actual results:

Compiler runs forever and never finishes

Expected results:

Compile eventually completes

Additional info:
Comment 1 Robert Hancock 2006-12-04 17:03:24 EST
Created attachment 142780 [details]
Test case to reproduce compiler hang
Comment 2 Jakub Jelinek 2006-12-05 10:31:03 EST
This is endless loop in vt_find_locations, very likely duplicate of #216695.
As a workaround, compile with -O3 -g -fno-var-tracking.
Comment 3 Alexandre Oliva 2006-12-07 23:20:23 EST
Patch that fixes the bug attached to bug 216695.
Comment 9 Red Hat Bugzilla 2007-05-01 13:09:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0220.html

Note You need to log in before you can comment on or make changes to this bug.